Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::QiOOParser Class Reference

`#include <QiOOParser.h>`

## Public Member Functions
| QiOOParser (const RVNGInputStreamPtr_t &input, librevenge::RVNGTextInterface *document=nullptr)
void | parse ()

## Private Member Functions
| QiOOParser (const QiOOParser &other)
QiOOParser & | operator= (const QiOOParser &other)

## Private Attributes
RVNGInputStreamPtr_t | m_input
librevenge::RVNGTextInterface * | m_document

## Constructor & Destructor Documentation

## ◆ QiOOParser() [1/2]

libebook::QiOOParser::QiOOParser | ( | const QiOOParser & | other | ) |
| private

## ◆ QiOOParser() [2/2]

libebook::QiOOParser::QiOOParser | ( | const RVNGInputStreamPtr_t & | input,
|  | librevenge::RVNGTextInterface * | document = nullptr )
| explicit

## Member Function Documentation

## ◆ operator=()

QiOOParser & libebook::QiOOParser::operator= | ( | const QiOOParser & | other | ) |
| private

## ◆ parse()

void libebook::QiOOParser::parse | ( |  | ) |

## Member Data Documentation

## ◆ m_document

librevenge::RVNGTextInterface* libebook::QiOOParser::m_document
| private

Referenced by parse().

## ◆ m_input

RVNGInputStreamPtr_t libebook::QiOOParser::m_input
| private

Referenced by parse(), and QiOOParser().

The documentation for this class was generated from the following files:

- QiOOParser.h
- QiOOParser.cpp